haskell-gi-0.26.17: Generate Haskell bindings for GObject Introspection capable libraries

Safe Haskell | None
Language | Haskell2010

Data.GI.GIR.Constant

Description

Parsing of constants in GIR files.

Synopsis

- data Constant = Constant {
  - constantType :: Type
  - constantValue :: Text
  - constantCType :: Text
  - constantDocumentation :: Documentation
  - constantDeprecated :: Maybe DeprecationInfo
  }
- parseConstant :: Parser (Name, Constant)

# Documentation

data Constant Source #

Info about a constant.

Constructors

Constant |

Fields

- constantType :: Type
- constantValue :: Text
- constantCType :: Text
- constantDocumentation :: Documentation
- constantDeprecated :: Maybe DeprecationInfo

#### Instances

Instances details

Show Constant Source # |
Instance details Defined in Data.GI.GIR.Constant Methods showsPrec :: Int -> Constant -> ShowS Source # show :: Constant -> String Source # showList :: [Constant] -> ShowS Source #

parseConstant :: Parser (Name, Constant) Source #

Parse a "constant" element from the GIR file.